This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478279 - NPE when propagating source fields
NPE when propagating source fields
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:14 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:14:01 EST
I was playing around with the master git  branch of penrose and found that when propagating the source values from one sourceref to a subsequent one in a DynamicEntry a null pointer exception is thrown like this:

LDAPClient           [ 625]
java.lang.NullPointerException
        at org.safehaus.penrose.directory.DynamicEntry.propagateField(DynamicEntry.java:909)
        at org.safehaus.penrose.directory.DynamicEntry.propagateSource(DynamicEntry.java:870)
        at org.safehaus.penrose.directory.DynamicEntry.propagate(DynamicEntry.java:854)
        at org.safehaus.penrose.directory.DynamicEntry.propagate(DynamicEntry.java:836)
        at org.safehaus.penrose.directory.DynamicSearchResponse.add(DynamicSearchResponse.java:70)
        at org.safehaus.penrose.ldap.source.LDAPSource$2.add(LDAPSource.java:650)
        at org.safehaus.penrose.ldap.source.LDAPSource$1.add(LDAPSource.java:387)
        at org.safehaus.penrose.ldap.LDAPClient.search(LDAPClient.java:579)

The problem was due to a missing check for a null value in propagateField. I have a patch for this which I will attach to the issue.

Additional Comments From kouk dated Mon Aug 25 10:05:44 CDT 2008 
patch to fix null pointer exception in propagateField


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => '0001-fix-null-attribute-when-propagating-source-fields.patch',
          'reporter' => 'kouk',
          'key' => 'PENROSE-314',
          'assignee' => 'jimyang',
          'summary' => 'nullpointer exception when propagating source fieldssdf',
          'id' => '11041',
          'updated' => '2008-08-25 10:05:44.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [],
          'description' => 'I was playing around with the master git  branch of penrose and found that when propagating the source values from one sourceref to a subsequent one in a DynamicEntry a null pointer exception is thrown like this:

LDAPClient           [ 625]
java.lang.NullPointerException
        at org.safehaus.penrose.directory.DynamicEntry.propagateField(DynamicEntry.java:909)
        at org.safehaus.penrose.directory.DynamicEntry.propagateSource(DynamicEntry.java:870)
        at org.safehaus.penrose.directory.DynamicEntry.propagate(DynamicEntry.java:854)
        at org.safehaus.penrose.directory.DynamicEntry.propagate(DynamicEntry.java:836)
        at org.safehaus.penrose.directory.DynamicSearchResponse.add(DynamicSearchResponse.java:70)
        at org.safehaus.penrose.ldap.source.LDAPSource$2.add(LDAPSource.java:650)
        at org.safehaus.penrose.ldap.source.LDAPSource$1.add(LDAPSource.java:387)
        at org.safehaus.penrose.ldap.LDAPClient.search(LDAPClient.java:579)

The problem was due to a missing check for a null value in propagateField. I have a patch for this which I will attach to the issue.
',
          'created' => '2008-08-25 10:04:10.0',
          'type' => '1'
        };


=========================================================
Comment 1 Jim Yang 2009-01-27 16:33:55 EST
See Also http://jira.safehaus.org/browse/PENROSE-314
Comment 2 Endi Sukma Dewata 2009-02-23 19:14:13 EST
The patch has been included in Attributes class.

Note You need to log in before you can comment on or make changes to this bug.